services:
  gitea:
    image: docker.gitea.com/gitea:1.25.4
    container_name: gitea
    restart: unless-stopped

    environment:
      - USER_UID=1000
      - USER_GID=1000
      - GITEA__server__DOMAIN=192.168.178.58
      - GITEA__server__ROOT_URL=http://192.168.178.58:3300/
      - GITEA__database__DB_TYPE=sqlite3

    volumes:
      - /mnt/user/services/gitea/data:/data

    ports:
      - "3300:3000"

    networks:
      - frontend_net

networks:
  frontend_net:
    external: true